<?php
class ActividadesModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $codigoCaeb, $descripcion,$tipoActividad;

    public function insertActividad(int $codigoCaeb,string $descripcion,string $tipoActividad)
    {
        $this->codigoCaeb = $codigoCaeb;
        $this->descripcion = $descripcion;
        $this->tipoActividad = $tipoActividad;
        $sql = "insert into slistaactividades (codigoCaeb,descripcion,tipoActividad) values (?,?,?)";
        $datos = array($this->codigoCaeb,$this->descripcion,$this->tipoActividad);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getActividades()
    {
        $sql = "select * from slistaactividades";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getActividad(int $codigoCaeb)
    {
        $this->codigoCaeb=$codigoCaeb;
        $sql = "select * from slistaactividades where codigoCaeb=".$this->codigoCaeb;
        
        $data = $this->select($sql);
        return $data;
    }

    public function updateActividad(int $codigoCaeb,string $descripcion, string $tipoActividad){
        $this->codigoCaeb = $codigoCaeb;
        $this->descripcion = $descripcion;
        $this->tipoActividad = $tipoActividad;
        $sql="update slistaactividades
        set descripcion = ? , tipoActividad = ? where codigoCaeb=?";
        $datos = array($this->descripcion,$this->tipoActividad,$this->codigoCaeb);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res=1;
        }else{
            $res=0;
        }
        return $res;        
    }

}
?>